.\" -*-nroff-*-
.\"
.\"     mutt_pgpring, a key ring dumper
.\"     Manpage Copyright (c) 2004-2013 Matthew Wilcox, Honza Horak
.\"
.\"     This program is free software; you can redistribute it and/or modify
.\"     it under the terms of the GNU General Public License as published by
.\"     the Free Software Foundation; either version 2 of the License, or
.\"     (at your option) any later version.
.\"
.\"     This program is distributed in the hope that it will be useful,
.\"     but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"     GNU General Public License for more details.
.\"
.\"     You should have received a copy of the GNU General Public License
.\"     along with this program; if not, write to the Free Software
.\"     Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
.\"
.TH mutt_pgpring 1 "May 2013" Unix "User Manuals"
.SH NAME
mutt_pgpring \- Mutt key ring dumper

.SH SYNTAX
.PP
\fBmutt_pgpring\fP [ \fB\-k\fP \fIkeyring\fP ] [ \fB\-2\fP | \fB\-5\fP ]
[ \fB\-s\fP ] [ \fB\-S\fP ] [ \fB\-f\fP ]

.SH DESCRIPTION
.PP
mutt_pgpring is a key ring dumper.  It extracts information from PGP's
binary key ring and emits it in an (almost) readable output format
understood by mutt's key selection routines.  This output format
mimics the one used by the GNU Privacy Guard (GPG).

.SH OPTIONS
.TP
.BI \-k " keyring"
Dump the contents of the specified keyring.
.TP
.B \-2
Use the default keyring for PGP 2.x.
.TP
.B \-5
Use the default keyring for PGP 5.
.TP
.B \-s
Dump the secret keyring.
.TP
.B \-S
Dump signatures.
.TP
.B \-f
Dump fingerprints.

.SH ENVIRONMENT
.PP
.IP "HOME"
Full path of the user's home directory.
.IP "PGPPATH"
Directory in which the user's PGP public keyring can be found.

.SH AUTHORS
Thomas Roessler <roessler@does\-not\-exist.org>

