.\" -*-nroff-*-
.\"
.\"
.\"     Copyright (C) 2001,2002 Oliver Ehli <elmy@acm.org>
.\"     Copyright (C) 2001 Mike Schiraldi <raldi@research.netsol.com>
.\"     Copyright (C) 2003 Bjoern Jacke <bjoern@j3e.de>
.\"     Copyright (C) 2015 Kevin J. McCarthy <kevin@8t8.us>
.\"
.\"     This program is free software; you can redistribute it and/or modify
.\"     it under the terms of the GNU General Public License as published by
.\"     the Free Software Foundation; either version 2 of the License, or
.\"     (at your option) any later version.
.\"
.\"     This program is distributed in the hope that it will be useful,
.\"     but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"     GNU General Public License for more details.
.\"
.\"     You should have received a copy of the GNU General Public License
.\"     along with this program; if not, write to the Free Software
.\"     Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
.\"
.TH smime_keys 1 "September 19, 2020" Unix "User Manuals"
.SH "NAME"
smime_keys \- Utility to add S/MIME certificate to the internal database used by mutt
.SH SYNOPSIS
.PP
.B smime_keys
<operation>  [file(s) | keyID [file(s)]]
.SH "DESCRIPTION"
The purpose of this tool is to manipulate the internal database of S/MIME certificates
used by mutt to sign mail messages which will be sent or to verify mail messages received
and signed with S/MIME.
.SH OPTIONS
.PP
.IP \fBinit\fP
no files needed, inits directory structure.
.IP \fBrefresh\fP
no files needed. refreshes index files, including
trust flag/expiration.
.IP \fBlist\fP
lists the certificates stored in database.
.IP \fBlabel\fP
keyID required. changes/removes/adds label.
.IP \fBremove\fP
keyID required.
.IP \fBverify\fP
1=keyID and optionally 2=CRL.
Verifies the certificate chain, and optionally whether
this certificate is included in supplied CRL (PEM format).
Note: to verify all certificates at the same time,
replace keyID with "all".
.IP \fBadd_cert\fP
certificate required.
.IP \fBadd_chain\fP
three files reqd: 1=Key, 2=certificate
plus 3=intermediate certificate(s).
.IP \fBadd_p12\fP
one file reqd. Adds keypair to database.
file is PKCS12 (e.g. export from netscape).
.IP \fBadd_pem\fP
one file reqd. Adds keypair to database.
(file was converted from e.g. PKCS12).
.IP \fBadd_root\fP
one file reqd. Adds PEM root certificate to the location
specified within muttrc (smime_verify_* command).
.SH NO WARRANTIES
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
.PP
Mutt Home Page: http://www.mutt.org/
